<Type Name="TypedDataSetGenerator" FullName="System.Data.TypedDataSetGenerator">
  <TypeSignature Language="C#" Value="public class TypedDataSetGenerator" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Data</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="Generate">
      <MemberSignature Language="C#" Value="public static void Generate (DataSet dataSet, CodeDom.CodeNamespace codeNamespace, CodeDom.Compiler.ICodeGenerator codeGen);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
		<Parameter Name="codeNamespace" Type="System.CodeDom.CodeNamespace" />
		<Parameter Name="codeGen" Type="System.CodeDom.Compiler.ICodeGenerator" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'DataSet'</param>
        <param name="codeNamespace">To be added: an object of type 'CodeDom.CodeNamespace'</param>
        <param name="codeGen">To be added: an object of type 'CodeDom.Compiler.ICodeGenerator'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateIdName">
      <MemberSignature Language="C#" Value="public static string GenerateIdName (string name, CodeDom.Compiler.ICodeGenerator codeGen);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="codeGen" Type="System.CodeDom.Compiler.ICodeGenerator" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="codeGen">To be added: an object of type 'CodeDom.Compiler.ICodeGenerator'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public TypedDataSetGenerator ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'TypedDataSetGenerator'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
